<template>
    <div class="tab-pane fade show active" id="pills-pokemons" role="tabpanel" aria-labelledby="pills-pokemons-tab">
        <!-- <div class="row align-items-center justify-content-end mb-4">
            <div class="col-md-4">
                <form class="d-flex">
                    <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
                </form>
            </div>
        </div> -->

        <div class="alert alert-primary" role="alert">
            You can select up to three likes and three hates.
        </div>
        <div class="pokemon-div-scroll">
            <div class="row">
                <div v-for="pokemon in pokemons" :key="pokemon.name" class="col-md-4">
                    <PokemonCard 
                        @pokemon-card-liked="likePokemon" 
                        @pokemon-card-disliked="dislikePokemon"
                        :pokemon="pokemon.name"
                        :imageUrl="imageUrl" 
                        :baseUrl="baseUrl" 
                    />
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import PokemonCard from "../tabs/PokemonCard"

export default {
    name: "PokemonTab",
    data() {
        return {
            keyword: "",
            pokemons: Array,
            baseUrl: 'https://pokeapi.co/api/v2',
            imageUrl: 'https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/pokemon/other/dream-world/',
        }
    },
    components: {
        PokemonCard
    },
    methods: {
        likePokemon(cardData) {
            this.$emit('pokemon-tab-liked', cardData)
        },
        dislikePokemon(cardData) {
            this.$emit('pokemon-tab-disliked', cardData)
        }
    },
    async created() {
        const res = await fetch(`https://pokeapi.co/api/v2/pokemon?offset=0&limit=103`)
        this.pokemons = await res.json()
        this.pokemons = this.pokemons.results
    },
    emits: [
        "pokemon-tab-liked",
        "pokemon-tab-disliked",
    ]
}
</script>